ListAllEntitlementIdsPerApp
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.ListAllEntitlementIdsPerApp(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceListAllEntitlementIdsPerAppRequest{
CatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RequestCatalogManagementServiceListAllEntitlementIdsPerCatalogResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.listAllEntitlementIdsPerApp({
catalogId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/catalogs/{catalog_id}/requestable_entitlementIDs \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/catalogs/{catalog_id}/requestable_entitlementIDs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/catalogs/{catalog_id}/requestable_entitlementIDs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"refs": [
{
"appId": "<string>",
"id": "<string>"
}
]
}Request Catalog
List All Entitlement Ids Per App
List all requestable entitlement IDs in a catalog without pagination.
GET
/
api
/
v1
/
catalogs
/
{catalog_id}
/
requestable_entitlementIDs
ListAllEntitlementIdsPerApp
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.ListAllEntitlementIdsPerApp(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceListAllEntitlementIdsPerAppRequest{
CatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RequestCatalogManagementServiceListAllEntitlementIdsPerCatalogResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.listAllEntitlementIdsPerApp({
catalogId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique identifier of the access profile.
Response
200 - application/json
The response message containing all requestable entitlement references in the catalog.
The response message containing all requestable entitlement references in the catalog.
The complete list of app entitlement references in this catalog.
Show child attributes
Show child attributes
Was this page helpful?
⌘I